CLS (Common Launch Script)
==========================

An auto-launch script that handles everything from pre-launch through ascent to a final circular orbit for any desired apoapsis and inclination.

Also includes a bundled Abort and Chute descent script which maintains steering control and terminal readouts during an abort and safe landing under parachutes.

<b>Dependencies</b>

The only dependency of CLS is the <a href="https://forum.kerbalspaceprogram.com/index.php?/topic/165628-181-kos-v1210-kos-scriptable-autopilot-system/">kOS</a> mod.

<b>Installation</b>

Copy everything from the zip into your main Kerbal Space Program folder.

<b>Future Development</b>

Please refer to the <a href="https://github.com/Qwarkk6/CLS/issues">issue tracker</a> to find the future development plans for this script, such as new features, updated documentation or bug fixing.

<b>Instructions</b>

CLS can be run from the archive. If you dont have the 'start on the archive' setting enabled, switch the the archive with the kOS command 'switch to 0.' and then you will be able to run CLS.
All that is required to run CLS is the instruction 'run cls.' 
Many aspects of the script are configurable. Those that are can be found at the top of CLS.ks in the USER CONFIGURATION section.

<b>Bug Reporting</b>

If this script fails for you, please either comment on its forum post or open an issue on github in the <a href="https://github.com/Qwarkk6/CLS/issues">issue tracker.</a><br>
In both cases I will need to see a picture of the kOS terminal, the launch parameters inputted and when during ascent it failed. In some cases I may also need a modlist or craft file for further testing. 

<b>License</b>

This script is distributed under the CC-BY-SA-4.0 license, except where noted below, where those elements are distributed under their own license.<br>
License text can be found <a href="https://github.com/Qwarkk6/CLS/blob/main/LICENSE.txt">here</a>.

<b>License Exceptions</b>

lib_navball.ks | lib_lazcalc.ks | lib_num_to_formatted_str.ks - <a href="https://github.com/KSP-KOS/KSLib">KSLib</a> - <a href="https://opensource.org/licenses/MIT">MIT</a><br>
See <a href="https://github.com/Qwarkk6/CLS/blob/main/Licensing_Exceptions.md">license_exceptions</a> for more information.